[X2go-Commits] x2gothinclient.git - master (branch) updated: 1.0.1.8-14-g9f416eb

X2Go dev team git-admin at x2go.org
Sun Sep 2 18:59:58 CEST 2012


The branch, master has been updated
       via  9f416ebe9cf60c6fdd4d3e273b0c60c974e2ac3c (commit)
       via  cf8bce82ec7a9bf42b29bd7b79a812df215c233f (commit)
       via  50ac97e71bbbfef035df648e3fef4e5ddc0369cd (commit)
       via  3328fca6529c9c43ca19083ab8d090cd84f36de3 (commit)
      from  88c3ab78a7b4e3e6205173fc4a4b4b6070d0143e (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
commit 9f416ebe9cf60c6fdd4d3e273b0c60c974e2ac3c
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Sun Sep 2 18:42:43 2012 +0200

    /etc/network/interfaces in wheezy already contains a loopback device entry.

commit cf8bce82ec7a9bf42b29bd7b79a812df215c233f
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Sun Sep 2 18:37:53 2012 +0200

    drop /run/lock as mountpoint on wheezy TCEs

commit 50ac97e71bbbfef035df648e3fef4e5ddc0369cd
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Sun Sep 2 18:36:28 2012 +0200

    Handle /etc/fstab in TCE chroot differently for squeeze and wheezy (/dev/pts does not need an entry in fstab on wheezy systems, /var/run got relocated to /run).

commit 3328fca6529c9c43ca19083ab8d090cd84f36de3
Author: Mike Gabriel <mike.gabriel at das-netzwerkteam.de>
Date:   Thu Aug 23 15:54:24 2012 +0200

    Symlink /etc/mtab to /proc/mounts before installing any kernel during the chroot creation process.

-----------------------------------------------------------------------

Summary of changes:
 debian/changelog                                   |    7 ++++
 .../sbin/x2gothinclient_create                     |   31 ++++++++++++++------
 2 files changed, 29 insertions(+), 9 deletions(-)

The diff of changes is:
diff --git a/debian/changelog b/debian/changelog
index 4119c32..7e21578 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -9,6 +9,13 @@ x2gothinclient (1.0.99.1-0~x2go1) UNRELEASED; urgency=low
     - Fix x2go_tce_shell.sh script, escape braces.
     - Change method of mounting /proc, /sys and /dev inside of chroots.
     - Step towards wheezy, enable plymouth boot splash.
+    - Symlink /etc/mtab to /proc/mounts before installing any kernel
+      during the chroot creation process.
+    - Handle /etc/fstab in TCE chroot differently for squeeze and wheezy
+      (/dev/pts does not need an entry in fstab on wheezy systems, /var/run
+      got relocated to /run).
+    - /etc/network/interfaces in wheezy already contains a loopback device
+      entry.
 
  -- Mike Gabriel <mike.gabriel at das-netzwerkteam.de>  Fri, 10 Aug 2012 14:13:49 +0200
 
diff --git a/x2gothinclientmanagement/sbin/x2gothinclient_create b/x2gothinclientmanagement/sbin/x2gothinclient_create
index d88ab5a..bda5a73 100755
--- a/x2gothinclientmanagement/sbin/x2gothinclient_create
+++ b/x2gothinclientmanagement/sbin/x2gothinclient_create
@@ -78,19 +78,20 @@ export ftp_proxy="$TC_FTP_PROXY"
 
 debootstrap --arch i386 $TC_DISTRO_CODENAME $TC_CHROOT/ $TC_DEBMIRROR_URL
 cp /etc/resolv.conf $TC_CHROOT/etc/resolv.conf
-echo "auto lo" >>   $TC_CHROOT/etc/network/interfaces
-echo "iface lo inet loopback" >>   $TC_CHROOT/etc/network/interfaces
+if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
+	echo "auto lo" >>   $TC_CHROOT/etc/network/interfaces
+	echo "iface lo inet loopback" >>   $TC_CHROOT/etc/network/interfaces
+fi
 echo "x2gothinclient" > $TC_CHROOT/etc/hostname
 echo "127.0.0.1 localhost" >> $TC_CHROOT/etc/hosts
+
 cat > $TC_CHROOT/etc/fstab <<EOF
-#proc	/proc			proc	defaults		0	0
+proc	/proc			proc	defaults		0	0
 none	/dev/pts		devpts	gid=5,mode=620		0	0
 none	/tmp			tmpfs	size=50M,mode=1777	0	0
 none	/root			tmpfs	size=100M,mode=700	0	0
 none	/etc/udev/rules.d	tmpfs	size=50M		0	0
-none	/var/run		tmpfs	size=50M		0	0
 none	/var/log		tmpfs	size=50M		0	0
-none	/var/lock		tmpfs	size=50M		0	0
 none	/home			tmpfs	size=50M		0	0
 none	/media			tmpfs	size=50M		0	0
 none	/var/lib/nfs		tmpfs	size=50M		0	0
@@ -99,6 +100,17 @@ none	/var/lib/dbus		tmpfs	size=50M		0	0
 none	/var/lib/alsa		tmpfs	size=50M		0	0
 EOF
 
+# differences between Debian versions
+if [ "$TC_DISTRO_CODENAME" = "squeeze" ]; then
+  cat >> $TC_CHROOT/etc/fstab <<EOF
+none	/var/run		tmpfs	size=50M		0	0
+none	/var/lock		tmpfs	size=50M		0	0
+EOF
+elif [ "$TC_DISTRO_CODENAME" = "wheezy" ]; then
+  cat >> $TC_CHROOT/etc/fstab <<EOF
+none	/run			tmpfs	size=50M		0	0
+EOF
+fi
 
 cat > $TC_CHROOT/x2go_tce_install.sh <<EOF
 #!/bin/bash
@@ -125,6 +137,11 @@ chmod +x /sbin/start-stop-daemon
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && echo "$TC_X2GO_DEBURL" > /etc/apt/sources.list.d/x2go.list
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && apt-get update
 [ \$? -eq 0 ] && test -n "$TC_X2GO_DEBURL" && apt-get install x2go-keyring -y --force-yes
+
+# tweak mtab diversion
+[ \$? -eq 0 ] && rm -f /etc/mtab
+[ \$? -eq 0 ] && ln -sf /proc/mounts /etc/mtab
+
 [ \$? -eq 0 ] && apt-get update
 [ \$? -eq 0 ] && apt-get install $TC_SHELL -y
 [ \$? -eq 0 ] && apt-get install syslinux locales -y
@@ -158,10 +175,6 @@ chmod +x /sbin/start-stop-daemon
 [ \$? -eq 0 ] && update-initramfs -u -v
 [ \$? -eq 0 ] && passwd -l root
 
-# tweak mtab diversion
-[ \$? -eq 0 ] && rm -f /etc/mtab
-[ \$? -eq 0 ] && ln -sf /proc/mounts /etc/mtab
-
 # tweak plymouth
 [ \$? -eq 0 ] && test -e /etc/os-release && sed -e 's/PRETTY_NAME=.*/PRETTY_NAME=$TC_PRETTY_NAME/' -i /etc/os-release || echo "PRETTY_NAME=$TC_PRETTY_NAME" >> /etc/os-release
 


hooks/post-receive
-- 
x2gothinclient.git (X2Go Thin Client Environment)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "x2gothinclient.git" (X2Go Thin Client Environment).




More information about the x2go-commits mailing list